Copyright: Copyright © 1994 Global Majic Software, Inc.
Citation: Copyright © 1994 Global Majic Software, Inc.


Contents
 	Global Majic Software, Inc.

Instrument Custom Control Library

Aircraft Instrument Controls

Properties	Events	Product Support	Copyright

Description:

Aircraft Instrument Controls display a variety of small airplane flight instruments including compass, heading indicator, altimeter, vertical speed indicator, airspeed indicator, horizontal situation indicator, artificial horizon, and coordinated turn indicator.  The controls can be used as input controls when MouseControl is set to True.  The controls include bevels for a 3D appearance.


Product Support

Product support for Instrument Custom Control Library is available to registered users by contacting Global Majic Software, Inc. at the following locations:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com

Product Support is free for a period of three (3) months from the date of registration.


Events
Events:

Change

Click

GotFocus

LostFocus


AltBarometer
AltBarometer Property

Description

Enables and disables the barometric pressure indicator displayed on the altimeter.

Usage

[form.]control.AltBarometer[ = boolean ]

Setting

The AltBarometer property settings are:

Setting 	Description

True	Barometric pressure setting is displayed

False	Barometric pressure setting is hidden

Remarks

This property only applies when DisplayMode = 2 (Altimeter).

Data Type

Integer (Boolean)


DisplayMode
DisplayMode Property

Description

Selects the type of instrument being displayed.

Usage

[form.]control.DisplayMode[ = integer ]

Setting

The DisplayMode property settings are:

Setting 	Description

0	Analog Compass

1	Heading Indicator

2	Altimeter

3	Vertical Speed Indicator

4	Airspeed Indicator

5	HSI, Horizontal Situation Indicator

6	Artificial Horizon

7	Turn Coordinator

Data Type

Integer (Enumerated)


AltBarometricPressure
AltBarometricPressure Property

Description

This property contains the value of the barometric pressure displayed on the altimeter.

Usage

[form.]control.AltBarometricPressure[ = single ]

Remarks

This property is only applicable when DisplayMode = 2 (Altimeter) and AltBarometer = TRUE.  The barometric pressure is bound between 20 and 40 inches of mercury.  Changes in the barometric pressure do not affect the altimeter Value.

Data Type

Single


BevelOuter
BevelOuter Property

Description

Sets or returns the outer shadow style of the control.

Usage

[form.]control.BevelOuter[ = integer ]

Setting

The BevelOuter property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelInner, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelInner
BevelInner Property

Description

Sets or returns the inner shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

Setting

The BevelInner property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelOuter, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelWidth
BevelWidth Property

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BorderWidth.

Data Type

Integer


BorderWidth
BorderWidth Property

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BevelWidth.

Data Type

Integer


CompassStyle
CompassStyle Property

Description

Determines the display mode of the compass face.

Usage

[form.]control.CompassStyle[ = integer ]

Setting

The CompassStyle property settings are:

Setting 	Description

0	Stationary.

1	Floating

Remarks

When the CompassStyle = 0 (stationary), the compass face remains stationary while the compass needle points to the control's direction.  When the CompassStyle = 1 (floating), the compass needle always points to the top of the control while the compass face rotates to the control's direction.  This property only applies when DisplayMode = 0 (compass).

Data Type

Integer (Enumerated)


MouseControl
MouseControl Property

Description

Enables and disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

True	Allows the control's Value to be modified with mouse input.

False	Disables mouse input to the control.

Data Type

Integer (Boolean)


Value
Value Property

Description

Sets or returns the control's displayed value.

Usage

[form.]control.Value[ = single ]

Remarks

The compass and heading indicator are bound between 0 and 360 degrees  The vertical airspeed indicator is bound between -2000 and 2000 ft per minute.  The airspeed indicator is bound between 0 and 170 knots, although the display does not register values below 35 knots.

Data Type

Single


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


HSIBearing
HSIBearing Property

Description

Selects the bearing direction displayed in the HSI instrument.

Usage

[form.]control.HSIBearing[ = single ]

Remarks

The HSIBearing property value is bound between 0 and 360 degrees.  The bearing indicator is only displayed when the DisplayMode = 5 (HSI),  HSICompass = TRUE, and HSINavigationSource is set to 0 (VOR1) ,1 (VOR2) ,4 (TCN) or 5 (LRN).

Data Type

Single.


HSICompass
HSICompass Property

Description

Enables and disables the compass face displayed on the HSI.

Usage

[form.]control.HSICompass[ = boolean ]

Setting

The HSICompass property settings are:

Setting 	Description

True	The aircraft heading and bearing are displayed on a circular compass face.

False	Compass face is not displayed, only course deviation and glide slope deviation are displayed.

Remarks

This property only applies when DisplayMode = 5 (HSI).

Data Type

Integer (Boolean)


HSINavigationSource
HSINavigationSource Property

Description

Determines navigationsource displayed in the lower right hand corner of the HSI control.

Usage

[form.]control.HSINavigationSource[ = integer ]

Setting

The HSINavigationSource property settings are:

Setting

0 - VOR1

1 - VOR2

2 - ILS1

3 - ILS2

4 - TCN

5 - LRN

6 - None

Remarks

This property only applies when DisplayMode = 5 (HSI).

Data Type

Integer (Enumerated)


HSICourseDelta
HSICourseDelta Property

Description

Selects the magnitude of the difference between course deviation markers displayed in the HSI instrument.

Usage

[form.]control.HSICourseDelta[ = single ]

Remarks

The HSICourseDelta property only applies when DisplayMode = 5 (HSI).  Typical values for this property are 2.5 degrees or 7.5 miles.

Data Type

Single.


HSICourseHeading
HSICourseHeading Property

Description

Selects the course heading direction displayed in the HSI instrument.

Usage

[form.]control.HSICourseHeading[ = single ]

Remarks

This property is bound between 0 and 360 degrees and only applies when DisplayMode = 5 (HSI) and  HSICompass = TRUE.

Data Type

Single.


HSICourseDeviation
HSICourseDeviation Property

Description

Determines the course deviation displayed in the HSI instrument.

Usage

[form.]control.HSICourseDeviation[ = single ]

Remarks

The HSICourseDeviation property only applies when DisplayMode = 5 (HSI).  The displayable range depends on the value set for HSICourseDelta.

Data Type

Single.


HSICourseDisplay
HSICourseDisplay Property

Description

Returns the type of course display being displayed in the upper right hand corner of the HSI control.

Usage

[form.]control.HSICourseDisplay[ = integer ]

Setting

The HSICourseDisplay property settings are:

Setting 	Description

0 - CRS	Displays course direction.

1 - DTK	Displays course direction.

2 - None	Displays nothing.

Remarks

This property is read only and only applies when DisplayMode = 5 (HSI).

Data Type

Integer (Enumerated)


HSIDistanceDisplay
HSIDistanceDisplay Property

Description

Determines the distance mode displayed in the upper left hand corner of the HSI control.

Usage

[form.]control.HSIDistanceDisplay[ = integer ]

Setting

The HSIDistanceDisplay property settings are:

Setting 	Description

0 - DME	Distance

1 - TCN	TACON

2 - WPT	Waypoint

3 - None	Distance is not displayed.

Remarks

This property only applies when DisplayMode = 5 (HSI).

Data Type

Integer (Enumerated)


HSIDistance
HSIDistance Property

Description

Determines the distance displayed in the upper left hand corner of the HSI instrument.

Usage

[form.]control.HSIDistance[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI) and HSIDistanceDisplay = 0 (DME), 1 (TCN), or 2 (WPT).  Only three place holders are allowed to display the distance so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, a value of 999 is displayed.  If the distance is set to a negative number, the control will display ---, indicating that the distance is not available.

Data Type

Single.


HSIGlideSlopeDelta
HSIGlideSlopeDelta Property

Description

Selects the magnitude of the difference between glide slope deviation markers displayed in the HSI instrument.

Usage

[form.]control.HSIGlideSlopeDelta[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI).

Data Type

Single.


HSISpeed
HSISpeed Property

Description

Sets the ground speed displayed in the lower left hand corner of the HSI instrument.

Usage

[form.]control.HSISpeed[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI) and HSITimeSpeedDisplay = 1 (SPD).  Only three place holders are allowed to display the value so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, a value of 999 is displayed.  If the value is set to a negative number, the control will display ---, indicating that the ground speed is not available.

Data Type

Single.


HSIGlideSlopeDeviation
HSIGlideSlopeDeviation Property

Description

Determines the glide slope deviation displayed in the HSI instrument.

Usage

[form.]control.HSIGlideSlopeDeviation[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI).  The displayable range depends on the value set for HSIGlideSlopeDelta.

Data Type

Single.


HSITime
HSITime Property

Description

Sets the time-to-go displayed in the lower left hand corner of the HSI instrument.

Usage

[form.]control.HSITime[ = single ]

Remarks

This property only applies when DisplayMode = 5 (HSI) and HSITimeSpeedDisplay = 0 (TTG).  Only three place holders are allowed to display the value so when the value is less than 100, it is displayed with one decimal point; when the value is between 100 and 999, no decimal point values are displayed; and when the value is 1000 or greater, a value of 999 is displayed.  If the value is set to a negative number, the control will display ---, indicating that the time-to-go is not available.

Data Type

Single.


HSITimeSpeedDisplay
HSITimeSpeedDisplay Property

Description

Determines whether time-to-go or ground speed is displayed in the lower left hand corner of the HSI control.

Usage

[form.]control.HSITimeSpeedDisplay[ = integer ]

Setting

The HSITimeSpeedDisplay property settings are:

Setting 	Description

0 - TTG	Time-To-Go,  diplays the HSITime value.

1 - SPD	Ground speed, displays the HSISpeed value.

2 - None	Nothing is displayed in the lower left corner of the control.

Remarks

This property only applies when DisplayMode = 5 (HSI).

Data Type

Integer (Enumerated)


Air Properties
Properties

AltBarometer	HSICompass	Left
AltBarometricPressure	HSICourseDelta	MouseControl
BackColor	HSICourseDeviation	MousePointer
Bank	HSICourseDisplay	Name
BevelInner	HSICourseHeading	Pitch
BevelOuter	HSIDistance	TabIndex
BevelWidth	HSIDistanceDisplay	TabStop
BorderWidth	HSIGlideSlopeDelta	Tag
CompassStyle	HSIGlideSlopeDeviation	Top
DisplayMode	HSINavigationSource	Turn
Enabled	HSISpeed	Value
FontSize	HSITime	Visible
Height	HSITimeSpeedDisplay	Width
HelpContextID	Inclinometer
HSIBearing	Index


Bank
Bank Property

Description

This property contains the value of the bank angle displayed on the artificial horizon.

Usage

[form.]control.Bank[ = single ]

Remarks

This property only applies when DisplayMode = 6 (Artificial Horizon).

Data Type

Single


Inclinometer
Inclinometer Property

Description

This property contains the value of the position of the inclinometer ball displayed in the turn coordinator.  It is a measure of the coordinated use of aileron and rudder during a turn.

Usage

[form.]control.Inclinometer[ = single ]

Remarks

This property only applies when DisplayMode = 7 (Turn Coordinator).  The units are in degrees and indicate the angle between the aircraft vertical acceleration direction and the airframe vertical direction.  The visible range of the inclinometer is -10 to 10 degrees.

Data Type

Single


Pitch
Pitch Property

Description

This property contains the value of the pitch angle displayed on the artificial horizon.

Usage

[form.]control.Pitch[ = single ]

Remarks

This property only applies when DisplayMode = 6 (Artificial Horizon).

Data Type

Single


Turn
Turn Property

Description

This property contains the turn rate displayed in the turn coordinator.

Usage

[form.]control.Turn[ = single ]

Remarks

This property only applies when DisplayMode = 7 (Turn Coordinator).  The units are in degrees and indicate the turn angle the aircraft will make in 2 minutes.  The tic marks below the level flight tic marks indicate a 360 degree turn in 2 minutes.

Data Type

Single